package cn.com.poc.thirdparty.resource.demand.dgTools.request;

import cn.com.poc.thirdparty.resource.demand.dgTools.result.ProjectTokenResult;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;

/**
 * @author Roger Wu
 */

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ProjectTokenRequest extends AbstractRequest<ProjectTokenResult> implements Serializable {

    /**
     * 项目key
     */
    private String projectKey;

    /**
     * 项目密钥
     */
    private String projectSecret;

    public String getProjectKey() {
        return projectKey;
    }

    public void setProjectKey(String projectKey) {
        this.projectKey = projectKey;
    }

    public String getProjectSecret() {
        return projectSecret;
    }

    public void setProjectSecret(String projectSecret) {
        this.projectSecret = projectSecret;
    }

    @Override
    public String getMethod() throws Exception {
        return null;
    }
}
